summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2019-10-20 11:01:49 +0200
committerPacho Ramos <pacho@gentoo.org>2019-10-20 12:14:26 +0200
commit5d58c2def0889fc86d57d5dcbfbf82a15f83a0c8 (patch)
tree34481bb7531fabae8f2b60d06306de90bc4e84e9
parentnet-analyzer/tcpdump: Old (diff)
downloadgentoo-5d58c2def0889fc86d57d5dcbfbf82a15f83a0c8.tar.gz
gentoo-5d58c2def0889fc86d57d5dcbfbf82a15f83a0c8.tar.bz2
gentoo-5d58c2def0889fc86d57d5dcbfbf82a15f83a0c8.zip
gnome-extra/gnome-shell-extension-applications-overview-tooltip: Bump to v6
Package-Manager: Portage-2.3.76, Repoman-2.3.17 Signed-off-by: Pacho Ramos <pacho@gentoo.org>
-rw-r--r--gnome-extra/gnome-shell-extension-applications-overview-tooltip/Manifest1
-rw-r--r--gnome-extra/gnome-shell-extension-applications-overview-tooltip/gnome-shell-extension-applications-overview-tooltip-6.ebuild42
2 files changed, 43 insertions, 0 deletions
diff --git a/gnome-extra/gnome-shell-extension-applications-overview-tooltip/Manifest b/gnome-extra/gnome-shell-extension-applications-overview-tooltip/Manifest
index 203b4f5c750..9b21603587a 100644
--- a/gnome-extra/gnome-shell-extension-applications-overview-tooltip/Manifest
+++ b/gnome-extra/gnome-shell-extension-applications-overview-tooltip/Manifest
@@ -1 +1,2 @@
DIST gnome-shell-extension-applications-overview-tooltip-5.tar.gz 79336 BLAKE2B 789e1c91b25ea810ff6575be5c5a83e51800feb9deaf488105593dc36c93c06a16624d4d7704da9de516b1fae053b0108c2e85eef8f0228fc46bc33589328970 SHA512 bde1870b873e8e9aa8d3395414cddf05a3014196e2d860f7ff8fec1dab49f9dbb694420efb89096e498f03a79c76fc7ec3229fab0253dc9b0b31466cfd48d124
+DIST gnome-shell-extension-applications-overview-tooltip-6.tar.gz 79354 BLAKE2B f9e6aee73c742a080ad82434c3741087a2db1d9ad91ed377d380267edaadc4754a7e2621f228ebcac7c3eed1fcdd83960bbc949f38b07e38dfffeac4452f3a9e SHA512 1c12434944e8803dfd6e5e95fd932386345c4632214059070c56d1640a7c13a88240f225fdf6efe2fd1deb0c8d0a07009e01dedd4f56f029303fbd5e33faa116
diff --git a/gnome-extra/gnome-shell-extension-applications-overview-tooltip/gnome-shell-extension-applications-overview-tooltip-6.ebuild b/gnome-extra/gnome-shell-extension-applications-overview-tooltip/gnome-shell-extension-applications-overview-tooltip-6.ebuild
new file mode 100644
index 00000000000..053787731d2
--- /dev/null
+++ b/gnome-extra/gnome-shell-extension-applications-overview-tooltip/gnome-shell-extension-applications-overview-tooltip-6.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# Workaround until https://bugzilla.gnome.org/show_bug.cgi?id=663725 is fixed
+DESCRIPTION="Show tooltip with full name and description"
+HOMEPAGE="https://github.com/RaphaelRochet/applications-overview-tooltip"
+SRC_URI="https://github.com/RaphaelRochet/applications-overview-tooltip/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+# https://github.com/RaphaelRochet/applications-overview-tooltip/issues/7
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# glib for glib-compile-schemas at build time, needed at runtime anyways
+COMMON_DEPEND="
+ dev-libs/glib:2
+"
+RDEPEND="${COMMON_DEPEND}
+ app-eselect/eselect-gnome-shell-extensions
+ >=gnome-base/gnome-shell-3.20
+"
+DEPEND="${COMMON_DEPEND}"
+BDEPEND=""
+
+S="${WORKDIR}/${P/gnome-shell-extension-}"
+
+src_install() {
+ einstalldocs
+ rm -f README.md || die
+ insinto /usr/share/gnome-shell/extensions/applications-overview-tooltip@RaphaelRochet
+ doins -r *
+ glib-compile-schemas "${ED}"/usr/share/gnome-shell/extensions/applications-overview-tooltip@RaphaelRochet/schemas || die
+}
+
+pkg_postinst() {
+ ebegin "Updating list of installed extensions"
+ eselect gnome-shell-extensions update
+ eend $?
+}